
DeadDrop - Bug #99

After Encrypting client cant read client file anymore

12/30/2023 11:30 PM - Sancho Fock

Status: Closed Start date: 12/30/2023

Priority: Normal Due date: 12/31/2023

Assignee: Sancho Fock % Done: 100%

Category: Client Estimated time: 2:00 hours

Target version: 0.5.x   

Description

When Register client

config --> encrypt local files

logout

open client

config ..> protect client with password

close client

open client again

Application:

-------------------------------------------------------------

1.1 Start Date      : Sat, 30 Dec 2023 23:25:19 +0100

1.2 Name/Description: DeadDropClient.exe - (DeadDropClient)

1.3 Version Number  : 0.1.8764.41252

1.4 Parameters      :

1.5 Compilation Date: Sat, 30 Dec 2023 22:55:08 +0100

1.6 Up Time         : 5 second(s)

Exception:

---------------------------------------------------------------------------------------------------

2.1 Date          : Sat, 30 Dec 2023 23:25:25 +0100

2.2 Address       : 00000000006F2B6A

2.3 Module Name   : DeadDropClient.exe - (DeadDropClient)

2.4 Module Version: 0.1.8764.41252

2.5 Type          : EEncodingError

2.6 Message       : Keine Zuordnung für Unicode-Zeichen in der Multibyte-Zielcodeseite vorhanden.

2.7 ID            : 6CD010E1

2.8 Count         : 1

2.11 Sent         : 0

User:

-----------------------------

3.2 Name : Sancho Fock

3.3 Email: me@sanchofock.de

Computer:

----------------------

5.9 Display DPI: 120

Steps to reproduce:

------------

8.1 Text:

Stack

EurekaLog 7.12.0.4 hotfix 4 3681F2F0075F8844B94EF559C08B0302 F3C1D958F5CF8D41BF57A3745C17C2DB

DA39A3EE5E6B4B0D3255BFEF95601890AFD80709 9FDFE3C8556E1E43B6EA77B6EEC8E1E7

Application:

-------------------------------------------------------------

1.1 Start Date      : Sat, 30 Dec 2023 23:25:19 +0100

1.2 Name/Description: DeadDropClient.exe - (DeadDropClient)

1.3 Version Number  : 0.1.8764.41252

1.4 Parameters      :
1.5 Compilation Date: Sat, 30 Dec 2023 22:55:08 +0100

1.6 Up Time         : 5 second(s)

Exception:

---------------------------------------------------------------------------------------------------

2.1 Date          : Sat, 30 Dec 2023 23:25:25 +0100

2.2 Address       : 00000000006F2B6A

2.3 Module Name   : DeadDropClient.exe - (DeadDropClient)

2.4 Module Version: 0.1.8764.41252

2.5 Type          : EEncodingError

2.6 Message       : Keine Zuordnung für Unicode-Zeichen in der Multibyte-Zielcodeseite vorhanden.

2.7 ID            : 6CD010E1

2.8 Count         : 1

2.11 Sent         : 0

User:

-----------------------------

3.2 Name : Sancho Fock

3.3 Email: me@sanchofock.de

Computer:

----------------------

5.9 Display DPI: 120

Steps to reproduce:

------------

8.1 Text:

Call Stack Information:

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

-------- |Methods |Details|Stack           |Address         |Module            |Offset          |Source              |Unit            |Class           

|Procedure/Method   |Line               |

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

-------- |*Exception Thread: ID=31372; Parent=0; Priority=0                                                                                                                       

| |Class=; Name=MAIN                                                                                                                                                                     |

|DeadLock=0; Wait Chain=                                                                                                                                                               |

|Comment=                                                                                                                                                                              |

|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

------| |7FFFFFFE|04     |0000000000000000|00000000006F2B6A|DeadDropClient.exe|0000000000102B6A|System.SysUtils.pas

|System.SysUtils |TEncoding        |GetString          |34558

12

          | |00000060|04    

|000000A065CFF3C8|00000000011B6046|DeadDropClient.exe|0000000000BC6046|sfDataTypes.pas     |sfDataTypes    

|TBase64String    |getString          |89

1

              | |00000060|04    

|000000A065CFF428|00000000011B6408|DeadDropClient.exe|0000000000BC6408|sfDataTypes.pas     |sfDataTypes    

|TBase64String    |asPlain            |124

1

             | |00000060|04    

|000000A065CFF458|00000000014235DD|DeadDropClient.exe|0000000000E335DD|ddFileManager.pas   |ddFileManager  

|TDDFileManager   |loadFile           |268

12

            | |00000060|04    

|000000A065CFF4D8|0000000001423D18|DeadDropClient.exe|0000000000E33D18|ddFileManager.pas   |ddFileManager  

|TDDFileManager   |loadClient         |376

4

             | |00000060|04    

|000000A065CFF538|0000000001423068|DeadDropClient.exe|0000000000E33068|ddFileManager.pas   |ddFileManager  

|TDDFileManager   |getClient          |193

3

             | |00000060|04    

|000000A065CFF578|00000000014B5DA8|DeadDropClient.exe|0000000000EC5DA8|fMain.pas           |fMain           |TMain           

|FormShow           |1181

17

           | |00000060|04    

|000000A065CFF5D8|0000000000F497B0|DeadDropClient.exe|00000000009597B0|FMX.Forms.pas       |FMX.Forms      

|TCommonCustomForm|DoShow             |5575

2

            | |00000060|04    

|000000A065CFF608|0000000000F3F78F|DeadDropClient.exe|000000000094F78F|FMX.Forms.pas       |FMX.Forms      

|TCommonCustomForm|Show               |3355

92

           | |00000060|04    

|000000A065CFF738|0000000000F44858|DeadDropClient.exe|0000000000954858|FMX.Forms.pas       |FMX.Forms      

|TCommonCustomForm|SetVisible         |4765

5

            | |00000060|04    

|000000A065CFF768|0000000000F3642F|DeadDropClient.exe|000000000094642F|FMX.Forms.pas       |FMX.Forms      

|TApplication     |CreateMainForm     |1590

18

           | |00000060|04    

|000000A065CFF7B8|0000000000F36162|DeadDropClient.exe|0000000000946162|FMX.Forms.pas       |FMX.Forms      

|TApplication     |RealCreateForms    |1539

17

           | |00000060|04    

|000000A065CFF808|0000000000EB28B2|DeadDropClient.exe|00000000008C28B2|FMX.Platform.Win.pas|FMX.Platform.Win|TPla

tformWin     |Run                |726

2

             | |00000060|04    

|000000A065CFF858|0000000000F3A690|DeadDropClient.exe|000000000094A690|FMX.Forms.pas       |FMX.Forms      

|TApplication     |Run                |2203

3

            | |00000060|04    

|000000A065CFF8A8|00000000014B63E2|DeadDropClient.exe|0000000000EC63E2|DeadDropClient.dpr  |DeadDropClient  |           
|initialization     |67

6

              | |7FFF7FFE|03     |000000A065CFF8D8|00007FFB7CAA2578|kernel32.dll     

|0000000000012578|KERNEL32.DLL        |KERNEL32        |                 |BaseThreadInitThunk|                   |

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

--------

Modules Information:

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------------- |Handle          |Name                             |Description      

|Version            |Size    |Modified           |Path                                                                                                            |

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------------- |00000000005F0000|DeadDropClient.exe              

|DeadDropClient                                                  |0.1.8764.41252     |62374339|2023-12-30

22:55:07|D:\Sandbox\Delphi\DeadDropClient\bin\                                                                           | |000001BFFE9D0000|wintrust.dll   

|Microsoft Trust Verification APIs                               |10.0.22621.2792    |447680  |2023-12-15 02:17:48|C:\Windows\System32\         

| |00007FFAC2700000|quartz.dll                       |DirectShow-Laufzeitbibliothek                                   |10.0.22621.2506    |1798144

|2023-11-15 03:12:40|C:\Windows\System32\                                                                                            |

|00007FFAEF690000|ksproxy.ax                       |WDM Streaming ActiveMovie Proxy                                 |10.0.22621.1       |390480 

|2022-05-07 06:20:13|C:\Windows\System32\                                                                                            |

|00007FFAEF6F0000|FrameServerMonitorClient.dll     |Frame Server Monitor Client DLL                                 |10.0.22621.2506   

|282624  |2023-11-15 03:11:56|C:\Windows\System32\                                                                                            |

|00007FFAF1090000|igd9dxva64.dll                   |User Mode Driver for Intel(R) Graphics Technology               |31.0.101.4502     

|20885992|2023-06-27 23:58:04|C:\Windows\System32\DriverStore\FileRepository\iigd_dch.inf_amd64_508c9187012fa923\              

| |00007FFAF3170000|igdumdim64.dll                   |User Mode Driver for Intel(R) Graphics Technology               |31.0.101.4502     

|2393256 |2023-06-27 23:58:40|C:\Windows\System32\DriverStore\FileRepository\iigd_dch.inf_amd64_508c9187012fa923\               

| |00007FFAF33B0000|d3d9.dll                         |Direct3D 9 Runtime                                              |10.0.22621.2506    |1740992

|2023-11-15 03:11:48|C:\Windows\System32\                                                                                            |

|00007FFAF3B10000|vidcap.ax                        |Video Capture Interface Server                                  |10.0.22621.1       |71000  

|2022-05-07 06:20:13|C:\Windows\System32\                                                                                            |

|00007FFAF3B40000|mfksproxy.dll                    |Dshow MF Bridge DLL DLL                                         |10.0.22621.1       |237568 

|2022-05-07 06:20:13|C:\Windows\System32\                                                                                            |

|00007FFAF5E20000|ksuser.dll                       |User CSA Library                                                |10.0.22621.1       |46840  

|2022-05-07 06:18:59|C:\Windows\System32\                                                                                            | |00007FFAF5E30000|atl.dll 

|ATL Module for Windows XP (Unicode)                             |3.5.2284.0         |122880  |2022-05-07 06:19:13|C:\Windows\System32\     

| |00007FFAFA390000|Windows.Media.MediaControl.dll   |Windows-Runtime-MediaControl-Server-DLL                         |10.0.22621.1

|625336  |2022-05-07 06:19:33|C:\Windows\System32\                                                                                            |

|00007FFAFCB50000|devenum.dll                      |Geräteenumeration                                               |10.0.22621.1       |146008 

|2022-05-07 06:20:13|C:\Windows\System32\                                                                                            |

|00007FFAFCDB0000|Kswdmcap.ax                      |WDM Streaming-Videoaufnahme                                     |10.0.22621.1      

|165224  |2022-05-07 06:20:13|C:\Windows\System32\                                                                                            |

|00007FFAFD530000|msdmo.dll                        |DMO Runtime                                                     |10.0.22621.1       |55104  

|2022-05-07 06:18:59|C:\Windows\System32\                                                                                            |

|00007FFB00A30000|dxva2.dll                        |DirectX Video Acceleration 2.0 DLL                              |10.0.22621.1       |162560 

|2022-05-07 06:19:22|C:\Windows\System32\                                                                                            |

|00007FFB019F0000|igdinfo64.dll                    |                                                                |                   |187216  |2023-06-27

23:58:26|C:\Windows\System32\DriverStore\FileRepository\iigd_dch.inf_amd64_508c9187012fa923\                             |

|00007FFB01A80000|media_bin_64.dll                 |User Mode Driver for Intel(R) Graphics Technology               |31.0.101.4502     

|31367784|2023-06-27 23:59:40|C:\Windows\System32\DriverStore\FileRepository\iigd_dch.inf_amd64_508c9187012fa923\              

| |00007FFB2C380000|GdiPlus.dll                      |Microsoft GDI+                                                  |10.0.22621.2506    |1802240

|2023-11-09

09:22:41|C:\Windows\WinSxS\amd64_microsoft.windows.gdiplus_6595b64144ccf1df_1.1.22621.2506_none_57f74dcece1b5ace\      

| |00007FFB34060000|dataexchange.dll                 |Data exchange                                                   |10.0.22621.2506    |380928 

|2023-11-15 03:11:21|C:\Windows\System32\                                                                                            |

|00007FFB35E40000|d3d10_1.dll                      |Direct3D 10.1 Runtime                                           |10.0.22621.2506    |221184 

|2023-11-15 03:11:48|C:\Windows\System32\                                                                                            |

|00007FFB3D880000|winspool.drv                     |Windows-Spoolertreiber                                          |10.0.22621.2506    |684032 

|2023-11-15 03:11:10|C:\Windows\System32\                                                                                            |

|00007FFB3D930000|d3d10_1core.dll                  |Direct3D 10.1 Runtime                                           |10.0.22621.2506    |57344  

|2023-11-15 03:11:48|C:\Windows\System32\                                                                                            |

|00007FFB42C10000|Faultrep.dll                     |Windows-Benutzermodus-Absturzberichterstattungs-DLL             |10.0.22621.2506   

|542816  |2023-11-15 03:11:43|C:\Windows\System32\                                                                                            |

|00007FFB49F00000|ddraw.dll                        |Microsoft DirectDraw                                            |10.0.22621.1       |626688 

|2022-05-07 06:19:35|C:\Windows\System32\                                                                                            |

|00007FFB4D660000|AudioSes.dll                     |Audiositzung                                                    |10.0.22621.2506    |2034368

|2023-11-15 03:11:04|C:\Windows\System32\                                                                                            |

|00007FFB4F410000|comctl32.dll                     |Bibliothek für Steuerelemente                                   |6.10.22621.2506    |2696688

|2023-11-09

09:22:41|C:\Windows\WinSxS\amd64_microsoft.windows.common-controls_6595b64144ccf1df_6.0.22621.2506_none_270c5ae973
88e100\| |00007FFB4F6B0000|shfolder.dll                     |Shell Folder Service                                            |10.0.22621.1       |28672  

|2022-05-07 06:19:44|C:\Windows\System32\                                                                                            |

|00007FFB53350000|winmmbase.dll                    |Base Multimedia Extension API DLL                               |10.0.22621.1       |174952 

|2022-05-07 06:19:00|C:\Windows\System32\                                                                                            |

|00007FFB57B40000|qcap.dll                         |DirectShow-Laufzeitbibliothek                                   |10.0.22621.1       |233472 

|2022-05-07 06:20:13|C:\Windows\System32\                                                                                            |

|00007FFB5D320000|MMDevAPI.dll                     |MMDevice-API                                                    |10.0.22621.2506    |650144 

|2023-11-15 03:11:03|C:\Windows\System32\                                                                                            |

|00007FFB5DCD0000|MFSENSORGROUP.dll                |Media Foundation Sensor Group DLL                               |10.0.22621.2506 

|530328  |2023-11-15 03:12:40|C:\Windows\System32\                                                                                            |

|00007FFB5E760000|TextShaping.dll                  |Microsoft Text Shaping Library                                  |10.0.22621.2506    |737040 

|2023-11-15 03:11:26|C:\Windows\System32\                                                                                            |

|00007FFB5E810000|textinputframework.dll           |"TextInputFramework.DYNLINK"                                    |10.0.22621.2792   

|1365104 |2023-12-15 02:17:53|C:\Windows\System32\                                                                                            |

|00007FFB5F700000|iertutil.dll                     |Laufzeit-Hilfsprogramm für Internet Explorer                    |11.0.22621.2861    |2881440

|2023-12-15 02:18:02|C:\Windows\System32\                                                                                            |

|00007FFB5F9C0000|urlmon.dll                       |OLE32-Erweiterung für Win32                                     |11.0.22621.2792    |1986560

|2023-12-15 02:18:02|C:\Windows\System32\                                                                                            |

|00007FFB610D0000|webio.dll                        |API für Webtransferprotokolle                                   |10.0.22621.2506    |753456 

|2023-11-15 03:11:42|C:\Windows\System32\                                                                                            |

|00007FFB61500000|igc64.dll                        |Intel Graphics Shader Compiler for Intel(R) Graphics Accelerator|31.0.101.4502     

|67050312|2023-06-27 23:57:18|C:\Windows\System32\DriverStore\FileRepository\iigd_dch.inf_amd64_508c9187012fa923\              

| |00007FFB653B0000|igdgmm64.dll                     |User Mode Driver for Intel(R) Graphics Technology               |31.0.101.4502     

|4561496 |2023-06-27 23:58:24|C:\Windows\System32\DriverStore\FileRepository\iigd_dch.inf_amd64_508c9187012fa923\               

| |00007FFB657F0000|IntelControlLib.dll              |Intel Graphics Control Lib Runtime                              |1.0.148.0          |605488 

|2023-06-27 23:59:16|C:\Windows\System32\DriverStore\FileRepository\iigd_dch.inf_amd64_508c9187012fa923\                             |

|00007FFB65930000|igd10um64xe.DLL                  |User Mode Driver for Intel(R) Graphics Technology               |31.0.101.4502     

|26709600|2023-06-27 23:57:36|C:\Windows\System32\DriverStore\FileRepository\iigd_dch.inf_amd64_508c9187012fa923\              

| |00007FFB672C0000|igd10iumd64.dll                  |User Mode Driver for Intel(R) Graphics Technology               |31.0.101.4502     

|4722696 |2023-06-27 23:57:24|C:\Windows\System32\DriverStore\FileRepository\iigd_dch.inf_amd64_508c9187012fa923\               

| |00007FFB680A0000|twinapi.appcore.dll              |twinapi.appcore                                                 |10.0.22621.2506    |2666560

|2023-11-15 03:11:19|C:\Windows\System32\                                                                                            |

|00007FFB69010000|CoreUIComponents.dll             |Microsoft Core UI Components Dll                                |10.0.22621.2506   

|3603640 |2023-11-15 03:11:24|C:\Windows\System32\                                                                                            |

|00007FFB6B2C0000|directxdatabasehelper.dll        |DirectXDatabaseHelper                                           |10.0.22621.2506    |311336 

|2023-11-15 03:11:27|C:\Windows\System32\                                                                                            |

|00007FFB6B8A0000|srvcli.dll                       |Server Service Client DLL                                       |10.0.22621.2506    |141920 

|2023-11-15 03:11:42|C:\Windows\System32\                                                                                            |

|00007FFB6E900000|midimap.dll                      |Microsoft MIDI Mapper                                           |10.0.22621.2506    |45056  

|2023-11-15 03:11:03|C:\Windows\System32\                                                                                            |

|00007FFB6E910000|msacm32.dll                      |Microsoft ACM-Audiofilter                                       |10.0.22621.1       |133608 

|2022-05-07 06:18:59|C:\Windows\System32\                                                                                            |

|00007FFB6E930000|msacm32.drv                      |Microsoft Soundmapper                                           |10.0.22621.2506    |57344  

|2023-11-15 03:11:03|C:\Windows\System32\                                                                                            |

|00007FFB6E940000|wdmaud.drv                       |Winmm-Audiosystemtreiber                                        |10.0.22621.1       |278528 

|2022-05-07 06:19:00|C:\Windows\System32\                                                                                            |

|00007FFB73F60000|rasadhlp.dll                     |Remote Access AutoDial Helper                                   |10.0.22621.1       |40960  

|2022-05-07 06:19:43|C:\Windows\System32\                                                                                            |

|00007FFB74B60000|CapabilityAccessManagerClient.dll|Capability Access Manager Client                                |10.0.22621.2506   

|294912  |2023-11-15 03:11:20|C:\Windows\System32\                                                                                            |

|00007FFB74EC0000|FWPUCLNT.DLL                     |FWP/IPsec Benutzermodus-API                                     |10.0.22621.2792   

|536576  |2023-12-15 02:17:52|C:\Windows\System32\                                                                                            |

|00007FFB751C0000|winmm.dll                        |MCI API-DLL                                                     |10.0.22621.2506    |216408 

|2023-11-15 03:11:04|C:\Windows\System32\                                                                                            |

|00007FFB75210000|dciman32.dll                     |DCI Manager                                                     |10.0.22621.2506    |36864  

|2023-11-15 03:11:48|C:\Windows\System32\                                                                                            | |00007FFB75330000|avrt.dll

|Multimedia Realtime Runtime                                     |10.0.22621.2506    |55152   |2023-11-15 03:11:03|C:\Windows\System32\        

| |00007FFB75400000|RTWorkQ.dll                      |Realtime WorkQueue DLL                                          |10.0.22621.1       |203856 

|2022-05-07 06:18:59|C:\Windows\System32\                                                                                            |

|00007FFB75500000|mfplat.dll                       |Media Foundation-Plattform-DLL                                  |10.0.22621.2506    |1906288

|2023-11-15 03:13:01|C:\Windows\System32\                                                                                            |

|00007FFB757A0000|winhttp.dll                      |Windows HTTP-Dienste                                            |10.0.22621.2506    |1286488

|2023-11-15 03:11:43|C:\Windows\System32\                                                                                            |

|00007FFB75C80000|dhcpcsvc.dll                     |DHCP Clientdienst                                               |10.0.22621.2506    |136560 

|2023-11-15 03:11:41|C:\Windows\System32\                                                                                            |

|00007FFB75CA0000|dhcpcsvc6.DLL                    |DHCPv6-Client                                                   |10.0.22621.2506    |111984 

|2023-11-15 03:11:41|C:\Windows\System32\                                                                                            |
|00007FFB75CC0000|version.dll                      |Version Checking and File Installation Libraries                |10.0.22621.1       |50976  

|2022-05-07 06:19:47|C:\Windows\System32\                                                                                            |

|00007FFB766F0000|windowscodecs.dll                |Microsoft Windows Codecs Library                                |10.0.22621.2506   

|1786448 |2023-11-15 03:11:27|C:\Windows\System32\                                                                                            |

|00007FFB768A0000|DWrite.dll                       |Microsoft DirectX-Typografiedienste                             |10.0.22621.2506    |2535424

|2023-11-15 03:11:26|C:\Windows\System32\                                                                                            |

|00007FFB76B20000|d3d11.dll                        |Direct3D 11 Runtime                                             |10.0.22621.2506    |2476504

|2023-11-15 03:11:27|C:\Windows\System32\                                                                                            |

|00007FFB76D80000|d2d1.dll                         |Microsoft D2D-Bibliothek                                        |10.0.22621.2506    |6278048

|2023-11-15 03:11:26|C:\Windows\System32\                                                                                            |

|00007FFB779E0000|CoreMessaging.dll                |Microsoft CoreMessaging Dll                                     |10.0.22621.2506    |1274088

|2023-11-15 03:11:47|C:\Windows\System32\                                                                                            |

|00007FFB77CC0000|apphelp.dll                      |Clientbibliothek für Anwendungskompatibilität                   |10.0.22621.2506   

|629608  |2023-11-15 03:11:45|C:\Windows\System32\                                                                                            |

|00007FFB77E40000|winnsi.dll                       |Network Store Information RPC interface                         |10.0.22621.1       |63368  

|2022-05-07 06:19:31|C:\Windows\System32\                                                                                            |

|00007FFB77E50000|uxtheme.dll                      |Microsoft UxTheme-Bibliothek                                    |10.0.22621.2506    |692224 

|2023-11-15 03:11:15|C:\Windows\System32\                                                                                            |

|00007FFB77F70000|DXCore.dll                       |DXCore                                                          |10.0.22621.2506    |224672 

|2023-11-15 03:11:20|C:\Windows\System32\                                                                                            |

|00007FFB77FD0000|dxgi.dll                         |DirectX Graphics Infrastructure                                 |10.0.22621.2506    |1022040

|2023-11-15 03:11:27|C:\Windows\System32\                                                                                            |

|00007FFB780E0000|dwmapi.dll                       |Microsoft Desktopfenster-Manager-API                            |10.0.22621.2506    |174976

|2023-11-15 03:11:39|C:\Windows\System32\                                                                                            |

|00007FFB78120000|DiagnosticDataSettings.dll       |Microsoft Windows Diagnostic Data Settings                      |10.0.22621.2506   

|67544   |2023-11-15 03:11:42|C:\Windows\System32\                                                                                            |

|00007FFB78130000|wer.dll                          |Windows-Fehlerbericht-DLL                                       |10.0.22621.2506    |922856 

|2023-11-15 03:11:43|C:\Windows\System32\                                                                                            |

|00007FFB78740000|WinTypes.dll                     |Windows-Basistypen-DLL                                          |10.0.22621.2792    |1319632

|2023-12-15 02:17:59|C:\Windows\System32\                                                                                            |

|00007FFB78880000|windows.storage.dll              |Microsoft WinRT Storage-API                                     |10.0.22621.2792   

|9463856 |2023-12-15 02:17:48|C:\Windows\System32\                                                                                            |

|00007FFB79440000|IPHLPAPI.DLL                     |IP-Hilfs-API                                                    |10.0.22621.1       |195592 

|2022-05-07 06:19:31|C:\Windows\System32\                                                                                            |

|00007FFB79470000|dnsapi.dll                       |DNS-Client-API-DLL                                              |10.0.22621.2506    |1034528

|2023-11-15 03:11:41|C:\Windows\System32\                                                                                            |

|00007FFB79570000|netutils.dll                     |Net Win32 API Helpers DLL                                       |10.0.22621.2506    |59280  

|2023-11-15 03:11:42|C:\Windows\System32\                                                                                            |

|00007FFB79790000|umpdc.dll                        |User Mode Power Dependency Coordinator                          |10.0.22621.1       |88192 

|2022-05-07 06:19:05|C:\Windows\System32\                                                                                            |

|00007FFB797B0000|powrprof.dll                     |Power Profile Helper DLL                                        |10.0.22621.2506    |327952 

|2023-11-15 03:11:42|C:\Windows\System32\                                                                                            |

|00007FFB79800000|wtsapi32.dll                     |Windows Remote Desktop Session Host Server SDK APIs             |10.0.22621.1      

|92288   |2022-05-07 06:19:13|C:\Windows\System32\                                                                                            |

|00007FFB79820000|secur32.dll                      |Security Support Provider Interface                             |10.0.22621.1       |49152  

|2022-05-07 06:19:42|C:\Windows\System32\                                                                                            |

|00007FFB79A50000|kernel.appcore.dll               |AppModel API Host                                               |10.0.22621.2715    |108856 

|2023-11-15 03:11:18|C:\Windows\System32\                                                                                            |

|00007FFB79A70000|ntmarta.dll                      |Windows NT MARTA-Anbieter                                       |10.0.22621.1       |220384 

|2022-05-07 06:19:31|C:\Windows\System32\                                                                                            |

|00007FFB79CB0000|sspicli.dll                      |Security Support Provider Interface                             |10.0.22621.2792    |278280 

|2023-12-15 02:17:58|C:\Windows\System32\                                                                                            |

|00007FFB79EC0000|mswsock.dll                      |Microsoft Windows Sockets 2.0-Dienstanbieter                    |10.0.22621.2506   

|439520  |2023-11-15 03:11:41|C:\Windows\System32\                                                                                            |

|00007FFB7A1F0000|CRYPTBASE.DLL                    |Base cryptographic API DLL                                      |10.0.22621.1       |59272  

|2022-05-07 06:19:30|C:\Windows\System32\                                                                                            |

|00007FFB7A330000|bcrypt.dll                       |Bibliothek mit kryptografischen Primitiven von Windows          |10.0.22621.2506   

|175000  |2023-11-15 03:11:41|C:\Windows\System32\                                                                                            |

|00007FFB7A640000|msasn1.dll                       |ASN.1 Runtime APIs                                              |10.0.22621.2506    |84088  

|2023-11-15 03:11:42|C:\Windows\System32\                                                                                            |

|00007FFB7A660000|devobj.dll                       |Device Information Set DLL                                      |10.0.22621.2506    |191600 

|2023-11-15 03:11:43|C:\Windows\System32\                                                                                            |

|00007FFB7A6C0000|cfgmgr32.dll                     |Configuration Manager DLL                                       |10.0.22621.2506    |327864 

|2023-11-15 03:11:43|C:\Windows\System32\                                                                                            |

|00007FFB7A9A0000|KERNELBASE.dll                   |Client-DLL für Windows NT-Basis-API                             |10.0.22621.2792   

|3856712 |2023-12-15 02:17:58|C:\Windows\System32\                                                                                            |

|00007FFB7AD50000|bcryptPrimitives.dll             |Windows Cryptographic Primitives Library                        |10.0.22621.2506   
|513920  |2023-11-15 03:11:41|C:\Windows\System32\                                                                                            |

|00007FFB7ADD0000|win32u.dll                       |Win32u                                                          |10.0.22621.2861    |166848 

|2023-12-15 02:17:53|C:\Windows\System32\                                                                                            |

|00007FFB7AE00000|ucrtbase.dll                     |Microsoft® C Runtime Library                                    |10.0.22621.2506    |1133720

|2023-11-15 03:11:39|C:\Windows\System32\                                                                                            |

|00007FFB7AF20000|gdi32full.dll                    |GDI Client DLL                                                  |10.0.22621.2861    |1150112

|2023-12-15 02:17:57|C:\Windows\System32\                                                                                            |

|00007FFB7B0B0000|msvcp_win.dll                    |Microsoft® C Runtime Library                                    |10.0.22621.2506    |637784 

|2023-11-15 03:11:39|C:\Windows\System32\                                                                                            |

|00007FFB7B150000|crypt32.dll                      |Krypto-API32                                                    |10.0.22621.2506    |1464256

|2023-11-15 03:11:42|C:\Windows\System32\                                                                                            |

|00007FFB7B380000|shell32.dll                      |Allgemeine Windows-Shell-DLL                                    |10.0.22621.2792    |8815136

|2023-12-15 02:18:05|C:\Windows\System32\                                                                                            |

|00007FFB7BBE0000|SHCore.dll                       |SHCORE                                                          |10.0.22621.2715    |1009640

|2023-11-15 03:11:31|C:\Windows\System32\                                                                                            |

|00007FFB7BCE0000|shlwapi.dll                      |Shell Light-weight-Hilfsprogrammbibliothek                      |10.0.22621.2506    |394080 

|2023-11-15 03:12:01|C:\Windows\System32\                                                                                            |

|00007FFB7BD90000|imm32.dll                        |Multi-User Windows IMM32 API Client DLL                         |10.0.22621.2792   

|212272  |2023-12-15 02:18:01|C:\Windows\System32\                                                                                            |

|00007FFB7BDD0000|combase.dll                      |Microsoft COM für Windows                                       |10.0.22621.2792    |3736752

|2023-12-15 02:17:59|C:\Windows\System32\                                                                                            |

|00007FFB7C160000|comdlg32.dll                     |DLL für gemeinsame Dialoge                                      |10.0.22621.2506    |999424 

|2023-11-15 03:12:01|C:\Windows\System32\                                                                                            |

|00007FFB7C260000|oleaut32.dll                     |OLEAUT32.DLL                                                    |10.0.22621.2506    |889816 

|2023-11-15 03:11:43|C:\Windows\System32\                                                                                            |

|00007FFB7C3D0000|clbcatq.dll                      |COM+ Configuration Catalog                                      |2001.12.10941.16384|720512 

|2023-11-15 03:11:47|C:\Windows\System32\                                                                                            |

|00007FFB7C480000|msvcrt.dll                       |Windows NT CRT DLL                                              |7.0.22621.2506     |691608 

|2023-11-15 03:11:41|C:\Windows\System32\                                                                                            |

|00007FFB7C530000|ws2_32.dll                       |Windows Socket 2.0-32-Bit-DLL                                   |10.0.22621.1       |476592 

|2022-05-07 06:19:31|C:\Windows\System32\                                                                                            |

|00007FFB7C5C0000|psapi.dll                        |Process Status Helper                                           |10.0.22621.1       |42704  

|2022-05-07 06:19:33|C:\Windows\System32\                                                                                            |

|00007FFB7C5D0000|rpcrt4.dll                       |Remoteprozeduraufruf-Laufzeitumgebung                           |10.0.22621.2792   

|1158512 |2023-12-15 02:17:59|C:\Windows\System32\                                                                                            |

|00007FFB7C920000|imagehlp.dll                     |Windows NT Image Helper                                         |10.0.22621.1       |133616 

|2022-05-07 06:19:30|C:\Windows\System32\                                                                                            |

|00007FFB7C940000|msctf.dll                        |MSCTF-Server-DLL                                                |10.0.22621.2792    |1385656

|2023-12-15 02:17:47|C:\Windows\System32\                                                                                            |

|00007FFB7CA90000|kernel32.dll                     |Client-DLL für Windows NT-Basis-API                             |10.0.22621.2506    |815552 

|2023-11-15 03:11:16|C:\Windows\System32\                                                                                            |

|00007FFB7CB60000|advapi32.dll                     |Erweiterte Windows 32 Base-API                                  |10.0.22621.2792    |732904 

|2023-12-15 02:17:46|C:\Windows\System32\                                                                                            |

|00007FFB7CCA0000|sechost.dll                      |Host for SCM/SDDL/LSA Lookup APIs                               |10.0.22621.2792   

|687376  |2023-12-15 02:17:59|C:\Windows\System32\                                                                                            |

|00007FFB7CD70000|nsi.dll                          |NSI User-mode interface DLL                                     |10.0.22621.1       |46880  

|2022-05-07 06:19:31|C:\Windows\System32\                                                                                            |

|00007FFB7CDF0000|gdi32.dll                        |GDI Client DLL                                                  |10.0.22621.2792    |179096 

|2023-12-15 02:17:52|C:\Windows\System32\                                                                                            |

|00007FFB7CE20000|setupapi.dll                     |Windows Setup-API                                               |10.0.22621.2506    |4716136

|2023-11-15 03:11:56|C:\Windows\System32\                                                                                            |

|00007FFB7D2A0000|ole32.dll                        |Microsoft OLE für Windows                                       |10.0.22621.2506    |1720328

|2023-11-15 03:11:47|C:\Windows\System32\                                                                                            |

|00007FFB7D440000|user32.dll                       |Client-DLL für Windows USER-API (mehrere Benutzer)              |10.0.22621.2506   

|1782312 |2023-11-15 03:11:29|C:\Windows\System32\                                                                                            |

|00007FFB7D630000|ntdll.dll                        |DLL für NT-Layer                                                |10.0.22621.2506    |2187288

|2023-11-15 03:11:40|C:\Windows\System32\                                                                                            |

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------------------------

Processes Information:

----------------------

Assembler Information:

------------------------------------------------------------------------------------------------------------------------------------------------------

; Base Address: $6F2000, Allocation Base: $5F0000, Region Size: 14581760

; Allocation Protect: PAGE_EXECUTE_WRITECOPY, Protect: PAGE_EXECUTE_READ
; State: MEM_COMMIT, Type: MEM_IMAGE

;

;

; System.TEncoding.GetString (Line=34556 - Offset=283)

; ----------------------------------------------------

00000000006F2B2B  488B4D38        MOV    RCX, [RBP+$38]

00000000006F2B2F  4889F2          MOV    RDX, RSI

00000000006F2B32  4189F8          MOV    R8D, EDI

00000000006F2B35  448B8DA0000000  MOV    R9D, [RBP+$000000A0]

00000000006F2B3C  E82FF4FFFF      CALL   $0BD1                     ; ($00000000006F1F70) System.TEncoding.GetCharCount

00000000006F2B41  4189C5          MOV    R13D, EAX

;

; Line=34557 - Offset=308

; ----------------------

00000000006F2B44  83BDA000000000  CMP    DWORD PTR [RBP+$000000A0], 0

00000000006F2B4B  7E22            JLE    $22                       ; ($00000000006F2B6F) System.TEncoding.GetString (Line=34559)

00000000006F2B4D  4585ED          TEST   R13D, R13D

00000000006F2B50  751D            JNZ    +$1D                       ; ($00000000006F2B6F) System.TEncoding.GetString (Line=34559)

;

; Line=34558 - Offset=322

; -----------------------

00000000006F2B52  488B0DA72FFEFF  MOV    RCX, [REL $0001D059]      ; ($00000000006D5B00) EEncodingError Delphi

Object "EEncodingError" EEncodingError

00000000006F2B59  B201            MOV    DL, 1

00000000006F2B5B  4C8B05CEB3F300  MOV    R8, [REL $00F3B3CE]        ; ($000000000162DF30) Data as ANSI: '.fl'; Data as

UNICODE: '?l'

00000000006F2B62  E85931FFFF      CALL   -$CEA7                     ; ($00000000006E5CC0) System.Exception.CreateRes

00000000006F2B67  4889C1          MOV    RCX, RAX

;

; Line=34558 - Offset=346

; ----------------------

00000000006F2B6A  E8C1E8F0FF      CALL   $0F173F                   ; ($0000000000601430) System._RaiseExcept  ; <-

EXCEPTION

;

; Line=34559 - Offset=351

; -----------------------

00000000006F2B6F  4889D9          MOV    RCX, RBX

00000000006F2B72  4489EA          MOV    EDX, R13D

00000000006F2B75  E83614F1FF      CALL   $0EEBCA                   ; ($0000000000603FB0) System._UStrSetLength

;

; Line=34560 - Offset=362

; ----------------------

00000000006F2B7A  488B0B          MOV    RCX, [RBX]

00000000006F2B7D  E8AE11F1FF      CALL   $0EEE52                   ; ($0000000000603D30) System._UStrToPWChar

00000000006F2B82  488B4D38        MOV    RCX, [RBP$38]

00000000006F2B86  4863FF          MOVSXD RDI, EDI

00000000006F2B89  488D143E        LEA    RDX, [RSI+RDI]

00000000006F2B8D  448B85A0000000  MOV    R8D, [RBP+$000000A0]

00000000006F2B94  4989C1          MOV    R9, RAX

00000000006F2B97  44896C2420      MOV    [RSP+$20], R13D

00000000006F2B9C  488B4538        MOV    RAX, [RBP+$38]

00000000006F2BA0  488B00          MOV    RAX, [RAX]

00000000006F2BA3  FF5018          CALL   QWORD PTR [RAX+$18]

;

; Line=34561 - Offset=406

; ----------------------

00000000006F2BA6  4889D8          MOV    RAX, RBX

00000000006F2BA9  488D6550        LEA    RSP, [RBP+$50]

Registers:

---------------------------------------------

RAX: 0000000000000000   RDI: 0000000000000000

RBX: 000001BF8E4B5880   RSI: 00000000006F2B6F

RCX: 000000000061D96E   RBP: 000000A065CFF210

RDX: 000000A065CFE330   RSP: 000000A065CFF130

R8 : 000000000061D960   R9 : 0000000000000000

R10: 000000A065CFE401   R11: 0000000000008200
R12: 0000000000000000   R13: 0000000000000000

R14: 0000000000000000   R15: 0000000000000000

RIP: 00007FFB7AA0567C   FLG: 0000000000000206

EXP: 00000000006F2B6A   STK: 000000A065CFF130

Stack:                               Memory Dump:

----------------------------------   -----------------------------------------------------------------------------------

000000A065CFF1A8: 00000000006F2B6F   00000000006F2B6A: E8 C1 E8 F0 FF 48 89 D9 44 89 EA E8 36 14 F1 FF 

.....H..D...6...

000000A065CFF1A0: 0000000000000000   00000000006F2B7A: 48 8B 0B E8 AE 11 F1 FF 48 8B 4D 38 48 63 FF 48 

H.......H.M8Hc.H

000000A065CFF198: 0000000000000000   00000000006F2B8A: 8D 14 3E 44 8B 85 A0 00 00 00 49 89 C1 44 89 6C  ..>D......I..D.l

000000A065CFF190: 0000000000000000   00000000006F2B9A: 24 20 48 8B 45 38 48 8B 00 FF 50 18 48 89 D8 48  $

H.E8H...P.H..H

000000A065CFF188: 0000000000000000   00000000006F2BAA: 8D 65 50 5B 5E 5F 41 5D 5D C3 CC CC CC CC CC CC 

.eP[^_A]].......

000000A065CFF180: 0000000000000000   00000000006F2BBA: CC CC CC CC CC CC 41 55 57 56 53 48 83 EC 48 48 

......AUWVSH..HH

000000A065CFF178: 000001BF8E4B5880   00000000006F2BCA: 89 4C 24 38 48 89 D3 4C 89 C6 44 89 CF 48 8B 4C 

.L$8H..L..D..H.L

000000A065CFF170: 00000000006F2B6F   00000000006F2BDA: 24 38 48 89 F2 44 8B C7 41 83 C0 01 48 8B 44 24 

$8H..D..A...H.D$

000000A065CFF168: CCCCCCCC00000007   00000000006F2BEA: 38 48 8B 00 FF 50 10 41 89 C5 83 C7 01 85 FF 7E 

8H...P.A.......~

000000A065CFF160: 00000000006F2B6A   00000000006F2BFA: 22 45 85 ED 75 1D 48 8B 0D F9 2E FE FF B2 01 4C 

"E..u.H........L

000000A065CFF158: 0000000000000000   00000000006F2C0A: 8B 05 20 B3 F3 00 E8 AB 30 FF FF 48 89 C1 E8 13  .. .....0..H....

000000A065CFF150: 000000810EEDFADE   00000000006F2C1A: E8 F0 FF 48 89 D9 44 89 EA E8 88 13 F1 FF 48 8B 

...H..D.......H.

000000A065CFF148: 0000000000000000   00000000006F2C2A: 0B E8 00 11 F1 FF 48 8B 4C 24 38 48 89 F2 41 89 

......H.L$8H..A.

000000A065CFF140: 00000000006F2B6F   00000000006F2C3A: F8 49 89 C1 44 89 6C 24 20 48 8B 44 24 38 48 8B  .I..D.l$

H.D$8H.

000000A065CFF138: 000001BF8E4B5880   00000000006F2C4A: 00 FF 50 18 48 89 D8 48 83 C4 48 5B 5E 5F 41 5D 

..P.H..H..H[^_A]

000000A065CFF130: 0000000000000000   00000000006F2C5A: C3 CC CC CC CC CC 48 83 EC 28 48 83 3D 8C B4 F4 

......H..(H.=...

History

#1 - 12/30/2023 11:34 PM - Sancho Fock

- Due date set to 12/31/2023

- Category set to Client

- Status changed from New to In Progress

- Target version changed from open to 0.5.x

- Estimated time set to 2:00 h

#2 - 12/31/2023 02:42 PM - Sancho Fock

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
